Lince 1.3 fails to build on quantal

Bug #1064608 reported by Christoph Korn on 2012-10-09
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Lince
Low
Fernando Tarín Morales

Bug Description

The following errors when compiling the 1.3 tarball on quantal:
AlertsManager.cc:153:20: error: invalid use of member function (did you forget the '()' ?)
make[4]: *** [liblince_1_la-AlertsManager.lo] Error 1

The full build log is attached.

This prevents the package to be published on GetDeb.net for quantal.

Christoph Korn (c-korn) wrote :
Changed in lince:
assignee: nobody → Fernando Tarín Morales (icemanf)
importance: Undecided → Low
status: New → Confirmed

Hi, sorry for the delay in the answer but the system didn't send me the mail warning me about the new bug.
At a first sight I would say that the failure is due to Lince being incompatible with rasterbar-libtorrent 0.16.x
at the moment.
That error is very easy to fix, probably some more will appear. The problem is that now I am in Japan and I
can't continue the development but I will be back next week and I will be able to provide a fix.
Thanks for your dedication.

Hi I have fixed the source code and compiled it under quantal. Can you compile the Svn version to confirm that it works?
Thanks

Changed in lince:
status: Confirmed → Fix Committed
Christoph Korn (c-korn) wrote :

Lince compiled successfully and will be published on GetDeb.net for quantal,soon.

Thanks for the fix.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers